Summary: OpenBSD's ftpd ported to Linux
Name: ftpd-BSD
Version: 0.3.3
Release: 9tr
License: BSD-like
Group: Network/Services
Source: ftp://ftpd-bsd.psychasia.com/pub/ftpd-bsd/ftpd-bsd-%{version}.tar.gz
Source1: ftpd-BSD.logrotate.conf
Source2: ftpd-BSD.init
Source3: ftpd-BSD-pam.sample
Source4: ftpd-BSD.sysconfig
Patch0: ftpd-BSD-SA_LEN.patch
Patch1: /ftpd-BSD-pam.d.patch
BuildRoot: /tmp/%{name}-%{version}-root
Provides: ftpserver
Prereq: gawk tsl-utils chkconfig

%description
This is a Linux port of the BSD ftp server (ftpd).  It doesn't have
all the bells and whistles of wu-ftpd, but it is also probably less
buggy and more secure (at least, it was certainly so before I ported
it, and I hope I didn't mess things up *too* much).

%prep
%setup -q -n ftpd-bsd-%{version}
%patch0 -p1
%patch1 -p1

%build

make OPT_CFLAGS="$RPM_OPT_FLAGS"

%install

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/var/log
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,share/man/man8}
mkdir -p $RPM_BUILD_ROOT/etc/{pam.d,init.d,logrotate.d,sysconfig}

install -s ftpd $RPM_BUILD_ROOT/usr/sbin/ftpd
install ftpd.8 $RPM_BUILD_ROOT/usr/share/man/man8/ftpd.8
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/ftpd
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/init.d/ftpd
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/pam.d/ftp-bsd
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/ftpd-BSD
touch $RPM_BUILD_ROOT/var/log/ftpd

gzip -9 $RPM_BUILD_ROOT/usr/share/man/man8/ftpd.8

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
if [ ! -s /etc/ftpusers ]; then
      awk -F: '{ if ( $3 < 500 ) print $1 }' /etc/passwd > /etc/ftpusers
fi
chkconfig --add ftpd
# Restart service after upgrade.
/sbin/restart_maybe ftpd 

%files
%defattr(-,root,root,-)
%doc README README.madore Makefile Makefile.ORIGINAL GMT-WARNING

%attr(755,root,root) /usr/sbin/ftpd
%attr(755,root,root) %{_initdir}/ftpd
%attr(644,root,root) %config(noreplace) /etc/pam.d/ftp-bsd
%attr(644,root,root) %config(noreplace) /etc/sysconfig/ftpd-BSD
%attr(644,root,man) %doc /usr/share/man/man8/ftpd.8.gz
%attr(600,root,root) /var/log/ftpd
%attr(644,root,root) %config(noreplace) /etc/logrotate.d/ftpd

%changelog
* Fri Aug  1 2003 Erlend Midttun <erlendbm at trustix dot com> 0.3.3-9tr
- Renamed pam file to what is actually used.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 0.3.3-8tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 0.3.3-7em
- Rebuilt against glibc 2.3.2.

* Wed Mar 19 2003 Erlend Midttun <erlendbm at trustix dot com> 0.3.3-6em
- Fix init script.
- Create /etc/sysconfig/ftpd-BSD

* Thu Feb 27 2003 Erlend Midttun <erlendbm at trustix dot com> 0.3.3-5em
- Make setup quiet.

* Thu Nov 21 2002 Christian H. Toldnes <christht at trustix dot com> 0.3.3-4ct
- ftpd initscript now uses $INITLOCK

* Thu Oct  3 2002 Christian H. Toldnes <christht at trustix dot com> 0.3.3-3ct
- Patched to use /etc/pam.d/ftp-BSD and moved the file. (Patch 1)

* Wed Aug 14 2002 Christian H. Toldnes <christht at trustix dot com> 0.3.3-2ct
- Correct chkconfig handling.
- .spec cleanup
- SA_LEN patch to build with glibc-2.2.5 (Patch 0)

* Tue Jun  5 2001 Oystein Viggen <oysteivi at trustix dot com>
- New upstream version: 0.3.3
- replydirname() patch removed (applied upstream)

* Wed Feb 21 2001 Erlend Midttun <erlendbm at trustix dot com>
- Renamed ftpd-BSD to ftpd to make it match the pid files.

* Mon Dec 18 2000 Oystein Viggen <oysteivi at trustix dot com>
- Fix a possible buffer overrun in replydirname()

* Mon Sep 18 2000 Erlend Midttun <erlendbm at trustix dot com>
- Fixed typo preventing /etc/ftpusers to be created

* Wed Jul 26 2000 Oystein Viggen <oysteivi at trustix dot com>
- Upgraded to 0.3.2
- Generate /etc/ftpusers if this does not already exist

* Thu May 04 2000 Erlend Midttun <erlendbm at trustix dot com>
- Upgraded to 0.3.1

* Thu Mar 02 2000 Lars Gaarden <larsg at trustix dot com>
- corrected init-script. Failed on status.

* Sat Feb 26 2000 Erlend Midttun <erlendbm at trustix dot com>
- Adapted man pages to FHS
- Correct optimizations

* Sun Jan 23 2000 David A. Madore <david.madore@ens.fr>
  [0.3.0-1]
- adapted for version 0.3.0 (IPv6 support)

* Fri Nov 19 1999 David A. Madore <david.madore@ens.fr>
  [0.2.3-1]
- adapted for version 0.2.3 (sync'ed with OpenBSD 2.6)

* Fri Nov 19 1999 Robert R. Wal <rrw@reptile.eu.org>
  [0.2.2-2]
- removed "conflicts" and added packager info
- added %config(noreplace) to pam.d/ftp

* Wed Nov  3 1999 Robert R. Wal <rrw@reptile.eu.org>
  [0.2.2-1]
- initial release with 0.2.2
